#!/bin/bash/

##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi


## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          


##Test each application to see if it is installed.
if ls /var/log/packages/audacity*; 
	then  
	audacity="TRUE" 
	else
	audacity="FALSE"
fi

if ls /var/log/packages/gmediafinder*; 
	then  
	gmediafinder="TRUE" 
	else
	gmediafinder="FALSE"
fi

if ls /var/log/packages/vlc-*; 
	then  
	vlc="TRUE" 
	else
	vlc="FALSE"
fi

if ls /var/log/packages/deadbeef*; 
	then  
	deadbeef="TRUE" 
	else
	deadbeef="FALSE"
fi

if ls /var/log/packages/asunder*; 
	then  
	asunder="TRUE" 
	else
	asunder="FALSE"
fi

if ls /var/log/packages/clipgrab*; 
	then  
	clipgrab="TRUE" 
	else
	clipgrab="FALSE"
fi

if ls /var/log/packages/openshot*; 
	then  
	openshot="TRUE" 
	else
	openshot="FALSE"
fi

if ls /var/log/packages/wxcam*; 
	then  
	wxcam="TRUE" 
	else
	wxcam="FALSE"
fi

if ls /var/log/packages/lmms*; 
	then  
	lmms="TRUE" 
	else
	lmms="FALSE"
fi

if ls /var/log/packages/mandvd*; 
	then  
	mandvd="TRUE" 
	else
	mandvd="FALSE"
fi

if ls /var/log/packages/thoggen*; 
	then  
	thoggen="TRUE" 
	else
	thoggen="FALSE"
fi

if ls /var/log/packages/synfigstudio*; 
	then  
	synfigstudio="TRUE" 
	else
	synfigstudio="FALSE"
fi

if ls /var/log/packages/qt-recordmydesktop*; 
	then  
	qtrecordmydesktop="TRUE" 
	else
	qtrecordmydesktop="FALSE"
fi

if ls /var/log/packages/k3b*; 
	then  
	k3b="TRUE" 
	else
	k3b="FALSE"
fi

if ls /var/log/packages/mixxx; 
	then  
	mixxx="TRUE" 
	else
	mixxx="FALSE"
fi


ans=$(zenity  --height=350 --width=550 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Audio/Video Application" \
"${asunder}" "asunder (a graphical CD ripper and encoder)" \
"${audacity}" "audacity (The Free, Cross-Platform Sound Editor)  " \
"${clipgrab}" "clipgrab  (A video downloader and converter for YouTube, Veoh, DailyMotion)" \
"${deadbeef}" "deadbeef (An audio player for GNU/Linux )" \
"${gmediafinder}" "gmediafinder (media scaner for google,skreemr.com, findmp3s.com)" \
"${k3b}" "k3b (Feature-rich and easy to handle CD burning application)" \
"${lmms}" "lmms (Linux Multimedia Studio)" \
"${mandvd}" "mandvd (A program to simply create DVD Video)" \
"${mixxx}" "mixxx (DJ'ing software)" \
"${openshot}" "openshot (an open-source video editor)" \
"${qtrecordmydesktop}" "qt-recordmydesktop (Video Screen Capture Program)" \
"${synfigstudio}" "synfigstudio  (vector animation studio)" \
"${vlc}" "vlc (multimedia player )" \
"${thoggen}" "thoggen (A DVD ripper based on GStreamer and Gtk+.)" \
"${wxcam}" "wxcam (webcam application)" \
); echo $ans 

if [ "$ans" = "" ]; then 
exit
fi

echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt

slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi

if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi



rm ./slapt.txt
exit

