#!/bin/bash/
##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi

## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          

##Test each application to see if it is installed.
if ls /var/log/packages/anjuta*; 
	then  
	anjuta="TRUE" 
	else
	anjuta="FALSE"
fi

if ls /var/log/packages/argouml*; 
	then  
	argouml="TRUE" 
	else
	argouml="FALSE"
fi

if ls /var/log/packages/bluefish*; 
	then  
	bluefish="TRUE" 
	else
	bluefish="FALSE"
fi

if ls /var/log/packages/codeblocks*; 
	then  
	codeblocks="TRUE" 
	else
	codeblocks="FALSE"
fi

if ls /var/log/packages/diffuse*; 
	then  
	diffuse="TRUE" 
	else
	diffuse="FALSE"
fi

if ls /var/log/packages/fldiff*; 
	then  
	fldiff="TRUE" 
	else
	fldiff="FALSE"
fi

if ls /var/log/packages/gambas2 -2-22.0*; 
	then  
	gambas2="TRUE" 
	else
	gambas2="FALSE"
fi

if ls /var/log/packages/gphpedit*; 
	then  
	gphpedit="TRUE" 
	else
	gphpedit="FALSE"
fi

if ls /var/log/packages/kompozer*; 
	then  
	kompozer="TRUE" 
	else
	kompozer="FALSE"
fi

if ls /var/log/packages/qgit*; 
	then  
	qgit="TRUE" 
	else
	qgit="FALSE"
fi

if ls /var/log/packages/poedit*; 
	then  
	poedit="TRUE" 
	else
	poedit="FALSE"
fi

if ls /var/log/packages/umlet*; 
	then  
	umlet="TRUE" 
	else
	umlet="FALSE"
fi


ans=$(zenity  --height=350 --width=550 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Development Application" \
"${anjuta}" "anjuta  (A UML design tool with cognitive support)" \
"${argouml}" "argouml (a versatile file searching tool) " \
"${bluefish}" "bluefish (GTK-based HTML Editor)" \
"${codeblocks}" "codeblocks  (An open source and cross-platform C/C++ IDE)" \
"${diffuse}" "diffuse ( A graphical tool for merging and comparing text files)" \
"${fldiff}" "fldiff  (GUI diff program)" \
"${gphpedit}" "gphpedit (simple PHP editor)" \
"${gambas2}" "gambas2 -2-22.0 (BASIC IDE for Linux" \
"${kompozer}" "kompozer ( Web Page Development tool)" \
"${poedit}" "poedit (Cross-platform gettext catalogs (.po files) editor)" \
"${qgit}" "qgit ( A GIT GUI viewer built on Qt/C++)" \
"${umlet}" "umlet ( Free UML Tool for Fast UML Diagrams (stand-alone version))" \
); echo $ans 

if [ "$ans" = "" ]; then exit
fi

echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt

slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi


if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi




rm ./slapt.txt
exit


