#!/bin/bash/
##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi

## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          

##Test each application to see if it is installed.
if ls /var/log/packages/blender*; 
	then  
	blend="TRUE" 
	else
	blend="FALSE"
fi

if ls /var/log/packages/OOoLight*; 
	then  
	OOoLight="TRUE" 
	else
	OOoLight="FALSE"
fi

if ls /var/log/packages/f-spot*; 
	then  
	f-spot="TRUE" 
	else
	f-spot="FALSE"
fi


if ls /var/log/packages/flphoto*; 
	then  
	flphoto="TRUE" 
	else
	flphoto="FALSE"
fi

if ls /var/log/packages/fotoxx*; 
	then  
	fotoxx="TRUE" 
	else
	fotoxx="FALSE"
fi

if ls /var/log/packages/luminance*; 
	then  
	luminance="TRUE" 
	else
	luminance="FALSE"
fi

if ls /var/log/packages/mashup*; 
	then  
	mashup="TRUE" 
	else
	mashup="FALSE"
fi

if ls /var/log/packages/mtpaint*; 
	then  
	mtpaint="TRUE" 
	else
	mtpaint="FALSE"
fi

if ls /var/log/packages/phatch*; 
	then  
	phatch="TRUE" 
	else
	phatch="FALSE"
fi

if ls /var/log/packages/qlviewer*; 
	then  
	qlviewer="TRUE" 
	else
	qlviewer="FALSE"
fi

if ls /var/log/packages/ufraw*; 
	then  
	ufraw="TRUE" 
	else
	ufraw="FALSE"
fi

if ls /var/log/packages/xfig*; 
	then  
	xfig="TRUE" 
	else
	xfig="FALSE"
fi


ans=$(zenity  --height=350 --width=350 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Graphic Application" \
"${blend}" "blender-2.56a (open source 3D content creation suite)" \
"${OOoLight}" "OOoLight-draw (Drawing component from OpenOffice Light) " \
"${f-spot}" "f-spot (Personal photo management application)  " \
"${flphoto}" "flphoto (Photo management tool and basic graphics editor)" \
"${fotoxx}" "fotoxx (Photo editing and collection management application)" \
"${luminance}" "(luminance workflow for HDR imaging)" \
"${mashup}" "mashup (Adjusting images on a sheet of paper for printing)" \
"${mtpaint}" "mtpaint (Mark Tyler's Painting Program)" \
"${phatch}" "phatch (Photo Batch Processor)" \
"${qlviewer}" "qlviewer (Qt-based Image Viewer)" \
"${ufraw}" "ufraw (utility to read and manipulate raw images)" \
"${xfig}" "xfig (interactive drawing tool)" \
); echo $ans 
if [ "$ans" = "" ]; then exit
fi

echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt

slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi
if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi


rm ./slapt.txt
exit


