#!/bin/bash/
##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi

## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          

##Test each application to see if it is installed.
if ls /var/log/packages/amsn*; 
	then  
	amsn="TRUE" 
	else
	amsn="FALSE"
fi

if ls /var/log/packages/checkgmail*; 
	then  
	checkgmail="TRUE" 
	else
	checkgmail="FALSE"
fi

if ls /var/log/packages/claws-mail*; 
	then  
	claws-mail="TRUE" 
	else
	claws-mail="FALSE"
fi

if ls /var/log/packages/deluge*; 
	then  
	deluge="TRUE" 
	else
	deluge="FALSE"
fi

if ls /var/log/packages/dillo*; 
	then  
	dillo="TRUE" 
	else
	dillo="FALSE"
fi

if ls /var/log/packages/emesene*; 
	then  
	emesene="TRUE" 
	else
	emesene="FALSE"
fi

if ls /var/log/packages/filezilla*; 
	then  
	filezilla="TRUE" 
	else
	filezilla="FALSE"
fi

if ls /var/log/packages/gpodder*; 
	then  
	gpodder="TRUE" 
	else
	gpodder="FALSE"
fi

if ls /var/log/packages/google-chrome*; 
	then  
	google-chrome="TRUE" 
	else
	google-chrome="FALSE"
fi

if ls /var/log/packages/hotot*; 
	then  
	hotot="TRUE" 
	else
	hotot="FALSE"
fi

if ls /var/log/packages/liferea*; 
	then  
	liferea="TRUE" 
	else
	liferea="FALSE"
fi

if ls /var/log/packages/midori*; 
	then  
	midori="TRUE" 
	else
	midori="FALSE"
fi

if ls /var/log/packages/skype-2.2.0.25*; 
	then  
	skype="TRUE" 
	else
	skype="FALSE"
fi

if ls /var/log/packages/skype-call-recorder*; 
	then  
	skype-call-recorder="TRUE" 
	else
	skype-call-recorder="FALSE"
fi

if ls /var/log/packages/thunderbird*; 
	then  
	thunderbird="TRUE" 
	else
	thunderbird="FALSE"
fi


ans=$(zenity  --height=350 --width=550 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Network Application" \
"${amsn}" "amsn  (Alvaro's Messenger for MSN)" \
"${checkgmail}" "checkgmail (An alternative Gmail Notifier for Linux and other *nix systems.) " \
"${claws-mail}" "claws-mail (fast lightweight e-mail client)" \
"${deluge}" "deluge (BitTorrent Client)" \
"${dillo}" "dillo  (Fast , lightweight web browser)" \
"${emesene}" "emesene (A pygtk MSN Messenger client)" \
"${filezilla}" "filezilla  (Free Open Source ftp/sftp client)" \
"${google-chrome}" "google-chrome (Google Browser Project)" \
"${gpodder}" "gpodder (simple, usable podcast consumption" \
"${hotot}" "hotot (Microblogging software" \
"${liferea}" "liferea ( RSS Feed Reader)" \
"${midori}" "midori ( Lightweight web surfing using webkit engine.)" \
"${skype}" "skype-2.2.0.25 (a modest, easy-to-use GTK+2-based editor)" \
"${skype-call-recorder}" "skype-call-recorder (Open source tool that allows you to record your Skype calls on Linux)" \
"${thunderbird}" "thunderbird ( Mozilla Thunderbird mail application)" \
); echo $ans 

if [ "$ans" = "" ]; then exit
fi
echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt

slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi
if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi



rm ./slapt.txt
exit

