#!/bin/bash/
##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi

## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          

##Test each application to see if it is installed.
if ls /var/log/packages/acroread*; 
	then  
	acroread="TRUE" 
	else
	acroread="FALSE"
fi

if ls /var/log/packages/fbreader*; 
	then  
	fbreader="TRUE" 
	else
	fbreader="FALSE"
fi

if ls /var/log/packages/glabels*; 
	then  
	glabels="TRUE" 
	else
	glabels="FALSE"
fi

if ls /var/log/packages/goldendict*; 
	then  
	goldendict="TRUE" 
	else
	goldendict="FALSE"
fi

if ls /var/log/packages/gramps*; 
	then  
	gramps="TRUE" 
	else
	gramps="FALSE"
fi

if ls /var/log/packages/grisbi*; 
	then  
	grisbi="TRUE" 
	else
	grisbi="FALSE"
fi

if ls /var/log/packages/homebank*; 
	then  
	homebank="TRUE" 
	else
	homebank="FALSE"
fi

if ls /var/log/packages/libreoffice-3.3.1*; 
	then  
	libreoffice="TRUE" 
	else
	libreoffice="FALSE"
fi

if ls /var/log/packages/rednotebook*; 
	then  
	rednotebook="TRUE" 
	else
	rednotebook="FALSE"
fi

if ls /var/log/packages/stardict-3.0.3*; 
	then  
	stardict="TRUE" 
	else
	stardict="FALSE"
fi

if ls /var/log/packages/OOoLight-impress*; 
	then  
	OOoLight-impress="TRUE" 
	else
	OOoLight-impress="FALSE"
fi

if ls /var/log/packages/OOoLight-writer*; 
	then  
	 OOoLight-writer="TRUE" 
	else
	 OOoLight-writer="FALSE"
fi
if ls /var/log/packages/OOoLight-calc*; 
	then  
	 OOoLight-calc="TRUE" 
	else
	 OOoLight-calc="FALSE"
fi


ans=$(zenity  --height=350 --width=550 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Utility Application" \
"${acroread}" "acroread (Adobe Acrobat Reader-PDF reader" \
"${fbreader}" "fbreader  (e-book reader)" \
"${glabels}" "glabels ( Office: Easy label making) " \
"${goldendict}" "goldendict ( Feature-rich dictionary lookup program) " \
"${gramps}" "gramps (a genealogy program that is both intuitive and feature-complete)" \
"${grisbi}" "grisbi (personal accounting application for Linux)" \
"${homebank}" "homebank  (Free, easy, personal accounting for everyone.)" \
"${libreoffice}" "libreoffice-3.3.1 (a productivity suite that is compatible with other major office suit)" \
"${OOoLight-impress}" "OOoLight-impress ( Presentation component from OpenOffice Light )" \
"${OOoLight-writer}" "OOoLight-writer ( Word processor from the OpenOffice Light  office suite)" \
"${OOoLight-calc}" "OOoLight-calc (Spreadsheet program from the OpenOffice Light office suite.)" \
"${rednotebook}" "rednotebook  (is a modern journal )" \
"${stardict}" "stardict-3.0.3 (Cross-Platform and international dictionary Software.)" \
); echo $ans 

if [ "$ans" = "" ]; then exit
fi

echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt

slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi
if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi



rm ./slapt.txt
exit

