#!/bin/bash/
##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi

## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          

##Test each application to see if it is installed.
if ls /var/log/packages/compiz-50c061b29c*; 
	then  
	compizmeta="TRUE" 
	else
	compizmeta="FALSE"
fi

if ls /var/log/packages/fwbuilder*; 
	then  
	fwbuilder="TRUE" 
	else
	fwbuilder="FALSE"
fi

if ls /var/log/packages/gparted*; 
	then  
	gparted="TRUE" 
	else
	gparted="FALSE"
fi

if ls /var/log/packages/gufw*; 
	then  
	gufw="TRUE" 
	else
	gufw="FALSE"
fi

if ls /var/log/packages/hardinfo*; 
	then  
	hardinfo="TRUE" 
	else
	hardinfo="FALSE"
fi

if ls /var/log/packages/qpxtool*; 
	then  
	qpxtool="TRUE" 
	else
	qpxtool="FALSE"
fi

if ls /var/log/packages/tdfsb*; 
	then  
	tdfsb="TRUE" 
	else
	tdfsb="FALSE"
fi

if ls /var/log/packages/truecrypt*; 
	then  
	truecrypt="TRUE" 
	else
	truecrypt="FALSE"
fi



ans=$(zenity  --height=350 --width=550 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Utility Application" \
"${compizmeta}" "compiz-meta  (composite window manager which uses the power of a 3D graphics card to enable desktop effects.)" \
"${fwbuilder}" "fwbuilder (firewall configuration and management tool) " \
"${gparted}" "gparted (Gparted Partition Editor for creating, reorganizing, and deleting disk partitions.)" \
"${gufw}" "gufw (An easy, intuitive way to manage your Linux firewall)" \
"${hardinfo}" "hardinfo (Gather information about your system's hardware)" \
"${qpxtool}" "qpxtool  (Allows better controll over optical drives to include QChecks and op
 timization settings.)" \
"${tdfsb}" "tdfsb (a '3D - Filesystem Browser')" \
"${truecrypt}" "truecrypt  (Free open-source cross-platform disk encryption software)" \
); echo $ans 

if [ "$ans" = "" ]; then exit
fi

echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt
slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi


if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi




rm ./slapt.txt
exit


