#!/bin/bash/
##Test for needed repositories.
if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/testing/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Extra repository has been enabled."
fi

if grep \#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/ /etc/slapt-get/slapt-getrc; then
cat /etc/slapt-get/slapt-getrc | sed 's@\#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-7.0/extra/@' | cat >> /etc/slapt-get/newslapt-getrc
mv /etc/slapt-get/newslapt-getrc /etc/slapt-get/slapt-getrc
Update="Update"
zenity --info --text "Testing repository has been enabled."
zenity --info --text "All enabled repositories can be disabled in GSlapt at your preference"
fi

if [ "$Update" = "Update" ]; then
   slapt-get --update | zenity --auto-close --progress  --text="Updating system with new repository information." --pulsate
fi

## Check to see if the new version is available and offer to download and install
slapt-get --search vl-qwikpicks | cat >> available.txt
if grep vl-qwikpicks-0.40 ./available.txt; then
   zenity --question --text "A new version of vl-QwikPicks is available do you want to install?"; installansw=$?
          if [ "$installansw" = "0" ];
          then slapt-get --no-prompt --install vl-qwikpicks | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
          tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
          rm ./slapt.txt
          zenity --info --text "v-QuikPicks will now shut down. Restart to use newest version"
          exit.
          fi
fi          

##Test each application to see if it is installed.
if ls /var/log/packages/4pane; 
	then  
	fourpane="TRUE" 
	else
	fourpane="FALSE"
fi

if ls /var/log/packages/catfish*; 
	then  
	catfish="TRUE" 
	else
	catfish="FALSE"
fi

if ls /var/log/packages/dosbox*; 
	then  
	dosbox="TRUE" 
	else
	dosbox="FALSE"
fi

if ls /var/log/packages/gdmap*; 
	then  
	gdmap="TRUE" 
	else
	gdmap="FALSE"
fi

if ls /var/log/packages/google-gadgets*; 
	then  
	googlegadgets="TRUE" 
	else
	googlegadgets="FALSE"
fi

if ls /var/log/packages/isomaster*; 
	then  
	isomaster="TRUE" 
	else
	isomaster="FALSE"
fi

if ls /var/log/packages/qps*; 
	then  
	qps="TRUE" 
	else
	qps="FALSE"
fi

if ls /var/log/packages/pactions*; 
	then  
	pactions="TRUE" 
	else
	pactions="FALSE"
fi


if ls /var/log/packages/rodent*; 
	then  
	rodent="TRUE" 
	else
	rodent="FALSE"
fi

if ls /var/log/packages/teagtk*; 
	then  
	teagtk="TRUE" 
	else
	teagtk="FALSE"
fi

if ls /var/log/packages/unetbootin-linux*; 
	then  
	unetbootinlinux="TRUE" 
	else
	unetbootinlinux="FALSE"
fi

ans=$(zenity  --height=350 --width=550 --list  \
--text "Select One to install. See GSlapt Package Manager in System menu for full software selection" \
--radiolist  \
--column "Pick One" \
--column "Utility Application" \
"${fourpane}" "4pane  (a fast and flexible file manager)" \
"${catfish}" "catfish (a versatile file searching tool) " \
"${dosbox}" "dosbox (Dos Emulator)" \
"${gdmap}" "gdmap (Disk Space Visualizer)" \
"${googlegadgets}" "google-gadgets (Disk Space Visualizer)" \
"${isomaster}" "isomaster  (graphical CD image editor for Linux and BSD)" \
"${pactions}" "pactions (Thunar Custom Action suite for Packaging from source.)" \
"${qps}" "qps (visual process manager, an X11 version of 'top' or 'ps'.)" \
"${rodent}" "rodent (fast, small and powerful file manager with commandline access.)" \
"${teagtk}" "teagtk (a modest, easy-to-use GTK+2-based editor)" \
"${unetbootinlinux}" "unetbootin-linux (Allows you to create bootable Live USB drives)" \
); echo $ans 

if [ "$ans" = "" ]; then exit
fi

echo $ans | cat >> ./ans.txt
ans=`cut -d" " -f1 ./ans.txt`
rm ./ans.txt
slapt-get --search $ans | cat >> slapt.txt
if grep inst\=yes ./slapt.txt;
   then condition="installed"
   else condition="notfound"
fi
if grep inst\=no ./slapt.txt;
   then condition="not"
fi

if [ $condition = "installed" ]; 
      then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi

if [ $condition = "not" ];
     then slapt-get --no-prompt --install $ans | tee slapt.txt | zenity --auto-close --progress  --text="The software application is being installed." --pulsate
     tail slapt.txt -n 20 | zenity --text-info --width 600  --height 480
fi

if [ $condition = "notfound" ];
     then zenity --question --text "No new applications selected. Would you like to open the Package Manager GSlapt [Yes], or Exit [No]"; answ=$?
          if [ "$answ" = "1" ];
          then rm ./slapt.txt
          exit
          fi
          if [ "$answ" = "0" ];
          then gslapt
          fi
fi


rm ./slapt.txt
exit

